generic-deriving-1.4.0: Generic programming library for generalised deriving.

Safe Haskell | Safe-Inferred

Generics.Deriving.Functor

Contents

- GFunctor class
- Default method

Synopsis

- class GFunctor f where
  - gmap :: (a -> b) -> f a -> f b
- gmapdefault :: (Generic1 f, GFunctor' (Rep1 f)) => (a -> b) -> f a -> f b

# GFunctor class

class GFunctor f where Source

Methods

gmap :: (a -> b) -> f a -> f bSource

Instances

GFunctor [] |
GFunctor Maybe |

# Default method

gmapdefault :: (Generic1 f, GFunctor' (Rep1 f)) => (a -> b) -> f a -> f bSource